html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
}

.site-wrapper {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.site-content {
    flex: 1;
}

.site-footer {
    margin-top: 80px;
}

.site-footer {
    background: #f8fbfd;
    padding: 40px 0 15px 0;
    font-size: 14px;
}

.footer-container {
    max-width: 1200px;
    margin: auto;
    display: grid;
    grid-template-columns: 1.2fr 1fr 1fr;
    gap: 40px;
}

.site-footer .logo {
    max-width: 120px;
    margin-bottom: 15px;
}

.site-footer .description {
    color: #45556C;
    line-height: 24px;
    font-size: 14px;
    text-align: left !important;
}

.site-footer .footer-menu {
    padding: 0 50px;
}

.site-footer #footer-column-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 30px;
    row-gap: 10px;
}

.site-footer h3.title {
    margin-top: 0;
    color: #163259;
    font-size: 16px;
}

.site-footer .footer-contact-item a {
    color: var(--primary);
    font-size: 14px;
}

.site-footer .footer-contact-item .text {
    color: #163259;
    font-size: 14px;
}

.site-footer #footer-column-menu li {
    margin: 0;
}

.site-footer .footer-contact {
    padding-left: 50px;
}

.footer-social a {
    display: inline-flex;
    width: 36px;
    height: 36px;
    border-radius: 50%;
    background: #1aa84b;
    color: #fff;
    align-items: center;
    justify-content: center;
    margin-right: 8px;
    font-size: 13px;
    text-decoration: none;
}

.footer-col h4 {
    font-size: 16px;
    margin-bottom: 15px;
    color: #222;
}

.footer-links {
    list-style: none;
    padding: 0;
    margin: 0;
    columns: 2;
}

.footer-links li {
    margin-bottom: 8px;
}

.footer-links a {
    color: #1a4ca1;
    text-decoration: none;
}

.footer-links a:hover {
    text-decoration: underline;
}

.footer-contact p {
    margin-bottom: 10px;
    color: #444;
}

.site-footer .social {
    padding-top: 24px;
    display: flex;
}

.site-footer .social-icon.facebook a {
    align-items: end;
}

.site-footer .social-icon.facebook img {
    width: 22px;
    height: 22px;
}

.site-footer .social-icon,
.footer-contact-item .icon {
    display: inline-flex;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: var(--primary);
    align-items: center;
    justify-content: center;
    margin-right: 10px;
}

.site-footer .social-icon a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.site-footer a {
    text-decoration: none;
}

.site-footer .footer-column-menu a {
    color: #163259;
    font-size: 14px;
}

.site-footer .social-icon img,
.footer-contact-item .icon img {
    width: 18px;
    height: 18px;
}

.footer-contact-item {
    display: flex;
    align-items: center;
    /* icon nằm trên cùng */
    margin-bottom: 12px;
    line-height: 1.6;
    color: #444;
}

.footer-contact-item .icon {
    flex-shrink: 0;
    margin-top: 3px;
    /* canh icon đúng dòng đầu */
}

.footer-contact-item .footer-icon {
    width: 18px;
    height: 18px;
}

.footer-contact-item .text {
    display: block;
}

/* Responsive */
@media (max-width: 768px) {

    .site-footer .footer-menu,
    .site-footer .footer-contact {
        padding: 0;
    }

    .footer-container {
        grid-template-columns: 1fr;
    }

    .footer-links {
        columns: 1;
    }
}